﻿// ConsoleApplication4.cpp : Этот файл содержит функцию "main". Здесь начинается и заканчивается выполнение программы.
//

#include <iostream>
#include <math.h>
#include <vector>
using namespace std;


struct circles{
    long long x1, y1, r1;
};

double dist(long long x1, long long y1, long long x2, long long y2)
{
    return sqrt((x1 - x2) * (x1 - x2) + (y1 - y2) * (y1 - y2));

}

bool is_eight(circles a, circles b) {
    if (abs(a.r1 + b.r1 - dist(b.x1, b.y1, a.x1, a.y1)) < 1e-9) 
    {
        return 1;
    }
    return 0;
}



int main()
{
    int t;
    cin >> t;
    while (t--)
    {   
        
        int n;
        cin >> n;
        vector<circles> c(n);
        for (int i = 0; i < n; i++)
        {
            cin >> c[i].x1 >> c[i].y1 >> c[i].r1;
        }
        long long count = 0;
        for (int i = 0; i < n; i++)
        {
            for (int j = i + 1; j < n; j++)
            {
                count += is_eight(c[i], c[j]);
            }
        }
        cout << count << endl;

    }
}

// Запуск программы: CTRL+F5 или меню "Отладка" > "Запуск без отладки"
// Отладка программы: F5 или меню "Отладка" > "Запустить отладку"

// Советы по началу работы 
//   1. В окне обозревателя решений можно добавлять файлы и управлять ими.
//   2. В окне Team Explorer можно подключиться к системе управления версиями.
//   3. В окне "Выходные данные" можно просматривать выходные данные сборки и другие сообщения.
//   4. В окне "Список ошибок" можно просматривать ошибки.
//   5. Последовательно выберите пункты меню "Проект" > "Добавить новый элемент", чтобы создать файлы кода, или "Проект" > "Добавить существующий элемент", чтобы добавить в проект существующие файлы кода.
//   6. Чтобы снова открыть этот проект позже, выберите пункты меню "Файл" > "Открыть" > "Проект" и выберите SLN-файл.
