#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <string>
#include <vector>
#include <set>
#include <map>
#include <algorithm>
#include <iomanip>
#include <fstream>
#include <chrono>


#define all(v) v.begin(), v.end()
#define rall(v) v.rbegin(), v.rend()
#define ff first
#define ss second
#define pb push_back

using namespace std;
using ll = long long;
using vvi = vector<vector<int> >;


void solve_case() {
	int n;
	cin >> n;

	vector<int> a(n);

	for (int i = 0; i < n; i++) {
		char c;
		cin >> c;
		int h = (c - '0');
		cin >> c >> c;
		int m = (c - '0');
		cin >> c;
		m = m * 10 + (c - '0');

		a[i] = (h - 7) * 60 + m;
	}

	for (int i = 0; i + 2 < n; i++) {
		if (a[i + 2] - a[i] <= 10) {
			cout << 0 << endl;
			return;
		}
	}
	for (int i = 0; i + 1 < n; i++) {
		if (a[i + 1] - a[i] <= 10) {
			cout << 1 << endl;
			return;
		}
	}
	cout << 2 << endl;
}

int main() {
	ios::sync_with_stdio(false);
	cin.tie(0); cout.tie(0);
#ifdef LOCAL
	freopen("input.txt", "r", stdin);
	clock_t tStart = clock();
#endif
	int t = 1;
	//cin >> t;

	while (t--) {
		solve_case();
	}
#ifdef LOCAL
	fprintf(stderr, "\n>>Runtime: %.3f ms\n", (double)(clock() - tStart) / CLOCKS_PER_SEC * 1000);
#endif
	return 0;
}