#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <string>
#include <vector>
#include <set>
#include <map>
#include <algorithm>
#include <iomanip>
#include <fstream>
#include <chrono>


#define all(v) v.begin(), v.end()
#define rall(v) v.rbegin(), v.rend()
#define ff first
#define ss second
#define pb push_back

using namespace std;
using ll = long long;
using vvi = vector<vector<int> >;


void solve_case() {
	int n;
	cin >> n;
	vector<int> h(n), p(n);

	for (int i = 0; i < n; i++) {
		cin >> h[i];
	}
	bool ok = 1;
	for (int i = 0; i < n; i++) {
		cin >> p[i];
		if (p[i] < h[i]) ok = 0;
	}
	if (!ok) {
		cout << -1 << endl;
		return;
	}
	vector<pair<int, int> > v(n);
	for (int i = 0; i < n; i++) {
		v[i].ff = h[i];
		v[i].ss = p[i];
	}
	sort(all(v));

	if (!ok) {
		cout << -1 << endl;
		return;
	}
	
	ll ans = 0, did = 0;
	for (int i = 0; i < n; i++) {
		ll need = v[i].ss - v[i].ff - did;
		need = max(0ll, need);
		did += need;
	}
	cout << did << endl;
}

int main() {
	ios::sync_with_stdio(false);
	cin.tie(0); cout.tie(0);
#ifdef LOCAL
	freopen("input.txt", "r", stdin);
	clock_t tStart = clock();
#endif
	int t = 1;
	cin >> t;

	while (t--) {
		solve_case();
	}
#ifdef LOCAL
	fprintf(stderr, "\n>>Runtime: %.3f ms\n", (double)(clock() - tStart) / CLOCKS_PER_SEC * 1000);
#endif
	return 0;
}