#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <string>
#include <vector>
#include <set>
#include <map>
#include <algorithm>
#include <iomanip>
#include <fstream>
#include <chrono>


#define all(v) v.begin(), v.end()
#define rall(v) v.rbegin(), v.rend()
#define ff first
#define ss second
#define pb push_back

using namespace std;
using ll = long long;
using vvi = vector<vector<int> >;

vector<int> tout; int timer;
vector<bool> used;
void dfs(vvi& g, int v) {
	timer++;
	used[v] = true;
	for (int u : g[v]) {
		if (!used[u]) dfs(g, u);
	}
	tout[v] = timer++;
}

void solve_case() {
	int n, m;
	cin >> n >> m;

	vvi g(n + 1);
	int cnt = 0;
	for (int i = 0; i < m; i++) {
		int u, v;
		cin >> u >> v;
		if (u < v) cnt++;
		g[u].pb(v);
	}
	if (cnt >= (m + 1) / 2) {
		for (int i = 0; i < n; i++) cout << i + 1 << " ";
		cout << endl;
	}
	else {
		for (int i = 0; i < n; i++) cout << n - i << " ";
		cout << endl;
	}
	//timer = 0;
	//tout.assign(n + 1, -1);
	//used.assign(n + 1, 0);
	//for (int i = 1; i <= n; i++) {
	//	if (!used[i]) dfs(g, i);
	//}
	//vector<int> ans(n);
	//for (int i = 0; i < n; i++) ans[i] = i + 1;

	//sort(all(ans), [&](int i, int j) {
	//	return tout[i] > tout[j];
	//});
	//for (int i = 0; i < n; i++) {
	//	cout << ans[i] << " ";
	//}

	//cout << endl;

}

int main() {
	ios::sync_with_stdio(false);
	cin.tie(0); cout.tie(0);
#ifdef LOCAL
	freopen("input.txt", "r", stdin);
	clock_t tStart = clock();
#endif
	int t = 1;
	cin >> t;

	while (t--) {
		solve_case();
	}
#ifdef LOCAL
	fprintf(stderr, "\n>>Runtime: %.3f ms\n", (double)(clock() - tStart) / CLOCKS_PER_SEC * 1000);
#endif
	return 0;
}