#include <iostream>
#include <string>
#include <vector>

int main()
{
	int count;
	struct clock
	{
		int h;
		int m;
		int t;
		int d;
	};

	std::cin >> count;
	
	std::vector<clock> c(count);

	for (int i = 0; i < count; i++)
	{
		std::string line;
		std::cin >> line;
		std::string h = line;
		std::string m = line;
		h = h.replace(h.find(':'), h.size(), "");
		m = m.replace(0, m.find(':')+1, "");
		c[i].h = std::stoi(h);
		c[i].m = std::stoi(m);
		c[i].t = c[i].h * 60 + c[i].m;
	}


	c[0].d = 1000000;
	for (int i = 1; i < count; i++)
		c[i].d = c[i].t - c[i - 1].t;

	int temp = 0;
	int max_temp = 0;
	bool twenty = false;
	for (auto dif : c)
	{
		if (dif.d < 10)
			temp++;
		if (temp > max_temp) max_temp = temp;
		if (dif.d >= 10)
		{
			temp = 0;
		}
		if (dif.d < 19 && dif.d >= 10) twenty = true;
	}

	if (max_temp > 1)
	{
		std::cout << 0;
		return 0;
	}

	if (twenty)
	{
		std::cout << 1;
		return 0;
	}

	std::cout << 2;
	return 0;
}